<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:46:18 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>HwISA (org.eclipse.papyrus.marte.static.profile 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HwISA (org.eclipse.papyrus.marte.static.profile 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/HwISA.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwComputing/HwComputingResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwComputing"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwComputing/HwPLD.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwComputing"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwComputing/HwISA.html" target="_top">Frames</a></li>
<li><a href="HwISA.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwComputing</div>
<h2 title="Interface HwISA" class="title">Interface HwISA</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>org.eclipse.emf.ecore.EObject, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral">HwResource</a>, org.eclipse.emf.common.notify.Notifier, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Resource</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwComputing/impl/HwISAImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwComputing.impl">HwISAImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">HwISA</span>
extends <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral">HwResource</a></pre>
<div class="block"><!-- begin-user-doc -->
 A representation of the model object '<em><b>Hw ISA</b></em>'.
 <!-- end-user-doc -->

 <p>
 The following features are supported:
 </p>
 <ul>
 <li><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwComputing/HwISA.html#getFamily--"><code><em>Family</em></code></a></li>
 <li><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwComputing/HwISA.html#getInst_Width--"><code><em>Inst Width</em></code></a></li>
 <li><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwComputing/HwISA.html#getType--"><code><em>Type</em></code></a></li>
 </ul></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwComputing/HwComputingPackage.html#getHwISA--"><code>HwComputingPackage.getHwISA()</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwComputing/HwISA.html#getFamily--">getFamily</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Family</b></em>' attribute.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwComputing/HwISA.html#getInst_Width--">getInst_Width</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Inst Width</b></em>' attribute.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwComputing/ISA_Type.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwComputing">ISA_Type</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwComputing/HwISA.html#getType--">getType</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Type</b></em>' attribute.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwComputing/HwISA.html#setFamily-java.lang.String-">setFamily</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwComputing/HwISA.html#getFamily--"><code><em>Family</em></code></a>' attribute.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwComputing/HwISA.html#setInst_Width-java.lang.String-">setInst_Width</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwComputing/HwISA.html#getInst_Width--"><code><em>Inst Width</em></code></a>' attribute.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwComputing/HwISA.html#setType-org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwComputing.ISA_Type-">setType</a></span>(<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwComputing/ISA_Type.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwComputing">ISA_Type</a>&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwComputing/HwISA.html#getType--"><code><em>Type</em></code></a>' attribute.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.HwResource">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral">HwResource</a></h3>
<code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html#getDescription--">getDescription</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html#getEndPoints--">getEndPoints</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html#getFrequency--">getFrequency</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html#getOwnedHW--">getOwnedHW</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html#getP_HW_Services--">getP_HW_Services</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html#getR_HW_Services--">getR_HW_Services</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html#setDescription-java.lang.String-">setDescription</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html#setFrequency-java.lang.String-">setFrequency</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.Resource">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Resource</a></h3>
<code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getBase_Classifier--">getBase_Classifier</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getBase_ConnectableElement--">getBase_ConnectableElement</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getBase_InstanceSpecification--">getBase_InstanceSpecification</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getBase_Lifeline--">getBase_Lifeline</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getBase_Property--">getBase_Property</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getResMult--">getResMult</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#isActive--">isActive</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#isProtected--">isProtected</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setBase_Classifier-org.eclipse.uml2.uml.Classifier-">setBase_Classifier</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setBase_ConnectableElement-org.eclipse.uml2.uml.ConnectableElement-">setBase_ConnectableElement</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setBase_InstanceSpecification-org.eclipse.uml2.uml.InstanceSpecification-">setBase_InstanceSpecification</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setBase_Lifeline-org.eclipse.uml2.uml.Lifeline-">setBase_Lifeline</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setBase_Property-org.eclipse.uml2.uml.Property-">setBase_Property</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setIsActive-boolean-">setIsActive</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setIsProtected-boolean-">setIsProtected</a>, <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setResMult-java.lang.String-">setResMult</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getFamily--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFamily</h4>
<pre><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getFamily()</pre>
<div class="block">Returns the value of the '<em><b>Family</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Family</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Family</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwComputing/HwISA.html#setFamily-java.lang.String-"><code>setFamily(String)</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwComputing/HwComputingPackage.html#getHwISA_Family--"><code>HwComputingPackage.getHwISA_Family()</code></a></dd>
</dl>
</li>
</ul>
<a name="setFamily-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFamily</h4>
<pre>void&nbsp;setFamily(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwComputing/HwISA.html#getFamily--"><code><em>Family</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Family</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwComputing/HwISA.html#getFamily--"><code>getFamily()</code></a></dd>
</dl>
</li>
</ul>
<a name="getInst_Width--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInst_Width</h4>
<pre><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getInst_Width()</pre>
<div class="block">Returns the value of the '<em><b>Inst Width</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Inst Width</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Inst Width</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwComputing/HwISA.html#setInst_Width-java.lang.String-"><code>setInst_Width(String)</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwComputing/HwComputingPackage.html#getHwISA_Inst_Width--"><code>HwComputingPackage.getHwISA_Inst_Width()</code></a></dd>
</dl>
</li>
</ul>
<a name="setInst_Width-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setInst_Width</h4>
<pre>void&nbsp;setInst_Width(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwComputing/HwISA.html#getInst_Width--"><code><em>Inst Width</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Inst Width</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwComputing/HwISA.html#getInst_Width--"><code>getInst_Width()</code></a></dd>
</dl>
</li>
</ul>
<a name="getType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getType</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwComputing/ISA_Type.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwComputing">ISA_Type</a>&nbsp;getType()</pre>
<div class="block">Returns the value of the '<em><b>Type</b></em>' attribute.
 The literals are from the enumeration <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwComputing/ISA_Type.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwComputing"><code>ISA_Type</code></a>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Type</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Type</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwComputing/ISA_Type.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwComputing"><code>ISA_Type</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwComputing/HwISA.html#setType-org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwComputing.ISA_Type-"><code>setType(ISA_Type)</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwComputing/HwComputingPackage.html#getHwISA_Type--"><code>HwComputingPackage.getHwISA_Type()</code></a></dd>
</dl>
</li>
</ul>
<a name="setType-org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwComputing.ISA_Type-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setType</h4>
<pre>void&nbsp;setType(<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwComputing/ISA_Type.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwComputing">ISA_Type</a>&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwComputing/HwISA.html#getType--"><code><em>Type</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Type</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwComputing/ISA_Type.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwComputing"><code>ISA_Type</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwComputing/HwISA.html#getType--"><code>getType()</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/HwISA.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwComputing/HwComputingResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwComputing"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwComputing/HwPLD.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwComputing"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwComputing/HwISA.html" target="_top">Frames</a></li>
<li><a href="HwISA.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
